﻿<table style="width: 100%; margin: 0 auto; text-align: center; vertical-align: top">
    <tr>
        @*<td style="width:300px;">
            @using (Html.BeginForm("CallbackUpload", "SHIPPING_SCHEDULE", FormMethod.Post))
            {

                @Html.DevExpress().UploadControl(
                Uploader =>
                {
                    Uploader.Name = "UploadMOP";
                    Uploader.CallbackRouteValues = new { Controller = "MonthlyOrderPlanningInquiry", Action = "CallbackUpload" };
                    Uploader.ShowProgressPanel = false;
                    //Uploader.ClientSideEvents.FileUploadComplete = "UploadDataComplete";
                    Uploader.ClientSideEvents.FileUploadComplete = "function(s,e){ if(e.callbackData != ''){ EndUploadCallBack(e.callbackData);}}";
                    Uploader.Width = 300;

                }).GetHtml()
            }
        </td>
        <td style="padding-left:1em;">
            @Html.DevExpress().Button(Button =>
            {
                Button.Name = "cmdUpload";
                //remaks agi 2017-11-28
                //Button.Text = "Upload";
                Button.Text = "Search by Upload";
                Button.Width = 90;
                Button.ClientSideEvents.Click = "UploadData";
                //Button.Style.Add("display", "inline-table");
                Button.UseSubmitBehavior = true;
                Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("MonthlyOrderPlanningInquiry", "FTR-SPEX-172-02", "UPLOAD");

            }).GetHtml()
        </td>*@
        <td align="right">
            <table>
                <tr>
                    <td style="padding-right:4px;">
                        @Html.DevExpress().Button(Button =>
                        {
                           Button.Name = "cmdCalculate";
                           Button.Text = "Calculate";
                           Button.Width = 100;
                           Button.Style.Add("display", "inline-table");
                           Button.UseSubmitBehavior = true;
                           Button.ClientSideEvents.Click = "CalculateData";
                           Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("MonthlyOrderPlanningInquiry", "FTR-SPEX-172-03", "CALCULATE");

                        }).GetHtml()
                    </td>
                    <td style="padding-right:4px;">
                         @Html.DevExpress().Button(Button =>
                           {
                               Button.Name = "cmdSend";
                               Button.Text = "Send";
                               Button.Width = 100;
                               Button.Style.Add("display", "inline-table");
                               Button.UseSubmitBehavior = true;
                               Button.ClientSideEvents.Click = "SendData";
                               Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("MonthlyOrderPlanningInquiry", "FTR-SPEX-172-04", "SEND");

                           }).GetHtml()
                        
                    </td>
                    <td style="padding-right:4px;">
                       @Html.DevExpress().Button(Button =>
                       {
                           Button.Name = "cmdEdit";
                           Button.Text = "Edit";
                           Button.Width = 100;
                           Button.Style.Add("display", "inline-table");
                           Button.UseSubmitBehavior = true;
                           Button.ClientSideEvents.Click = "EditData";
                           //Button.ClientVisible = false;
                           Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("MonthlyOrderPlanningInquiry", "FTR-SPEX-172-05", "EDIT");

                       }).GetHtml()
                    </td>
                    <td style="padding-right:4px;">
                        @Html.DevExpress().Button(Button =>
                           {
                               Button.Name = "cmdDownload";
                               Button.Text = "Download";
                               Button.Width = 100;
                               Button.Style.Add("display", "inline-table");
                               Button.UseSubmitBehavior = true;
                               Button.ClientSideEvents.Click = "DownloadData";
                               Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("MonthlyOrderPlanningInquiry", "FTR-SPEX-172-06", "DOWNLOAD");

                           }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().Button(Button =>
                        {
                           Button.Name = "cmdNQCDownload";
                           Button.Text = "NQC Download";
                           Button.Width = 120;
                           Button.Style.Add("display", "inline-table");
                           Button.UseSubmitBehavior = true;
                           Button.ClientSideEvents.Click = "NQCDownloadData";
                           Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("MonthlyOrderPlanningInquiry", "FTR-SPEX-172-07", "NQC DOWNLOAD");

                        }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().Button(Button =>
                        {
                            Button.Name = "cmdSearch";
                            Button.Text = "Search";
                            Button.Width = 100;
                            Button.Style.Add("display", "inline-table");
                            Button.UseSubmitBehavior = true;
                            Button.ClientSideEvents.Click = "OnSearch";
                            Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("MonthlyOrderPlanningInquiry", "FTR-SPEX-172-01", "SEARCH");

                        }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().Button(Button =>
                        {
                            Button.Name = "cmdClear";
                            Button.Text = "Clear";
                            Button.Width = 100;
                            Button.Style.Add("display", "inline-table");
                            Button.UseSubmitBehavior = true;
                            Button.ClientSideEvents.Click = "OnClear";
                            Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("MonthlyOrderPlanningInquiry", "FTR-SPEX-172-01", "CLEAR");

                        }).GetHtml()
                    </td>
                </tr>
            </table>
                      
        </td>
    </tr>
    <tr>
        <td colspan="3" align="right">
            <table>
                <tr>
                    <td style="padding-right:4px;">
                        @Html.DevExpress().Button(Button =>
            {
                Button.Name = "cmdSave";
                Button.Text = "Save";
                Button.Width = 100;
                Button.Style.Add("display", "inline-table");
                Button.UseSubmitBehavior = true;
                Button.ClientSideEvents.Click = "SaveEditData";
                //Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PackingOrder", "FTR-SPEX-162-02", "SAVE");
            }).GetHtml()
                        </td>
                    <td>
                        @Html.DevExpress().Button(Button =>
                {
                    Button.Name = "cmdCancel";
                    Button.Text = "Cancel";
                    Button.Width = 100;
                    Button.Style.Add("display", "inline-table");
                    Button.ClientSideEvents.Click = "CancelData";
                    Button.UseSubmitBehavior = true;
                    //Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PackingOrder", "FTR-SPEX-162-02", "CANCEL");
                }).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>


@*@Html.DevExpress().Button(Button =>
    {
        Button.Name = "cmdSearch";
        Button.Text = "Search";
        Button.Width = 100;
        Button.Style.Add("display", "inline-table");
        Button.UseSubmitBehavior = true;
        Button.ClientSideEvents.Click = "OnSearch";
        Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("MonthlyOrderPlanningInquiry", "FTR-SPEX-172-01", "SEARCH");

    }).GetHtml()
         @Html.DevExpress().Button(Button =>
    {
        Button.Name = "cmdClear";
        Button.Text = "Clear";
        Button.Width = 100;
        Button.Style.Add("display", "inline-table");
        Button.UseSubmitBehavior = true;
        Button.ClientSideEvents.Click = "OnClear";
        Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("MonthlyOrderPlanningInquiry", "FTR-SPEX-172-01", "CLEAR");

    }).GetHtml()*@
